igeo.gui

## Interface IPanelI

- All Superinterfaces:
    java.awt.event.ComponentListener, java.util.EventListener, java.awt.event.FocusListener, IServerI, java.awt.event.KeyListener, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.awt.event.WindowListener
  All Known Implementing Classes:
    IGridPanel, IPanel, IScreenTogglePanel

      public interface IPanelI
      extends IServerI, java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.awt.event.KeyListener, java.awt.event.FocusListener, java.awt.event.ComponentListener, java.awt.event.WindowListener

  Interface of a root GUI object of iGeo managing all IPane instance. An instance IG is keyed by IPanel object when it's in Graphic mode.
  Author:
    Satoru Sugihara

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPane(IPane p)`
    `void` | `clearPane()`
    `IPane` | `currentPane()` returns current pane; if null, it returns first pane.
    `void` | `draw(IGraphics g)`
    `void` | `focus()` focus on all pane
    `IBounds` | `getBounds()`
    `int` | `getHeight()`
    `IG` | `getIG()`
    `IPane` | `getPaneAt(int x, int y)`
    `int` | `getWidth()`
    `float` | `getX()`
    `float` | `getY()`
    `void` | `keyPressed(IKeyEvent e)`
    `void` | `keyReleased(IKeyEvent e)`
    `void` | `keyTyped(IKeyEvent e)`
    `void` | `mouseClicked(IMouseEvent e)`
    `void` | `mouseDragged(IMouseEvent e)`
    `void` | `mouseMoved(IMouseEvent e)`
    `void` | `mousePressed(IMouseEvent e)`
    `void` | `mouseReleased(IMouseEvent e)`
    `void` | `mouseWheelMoved(IMouseWheelEvent e)`
    `IPane` | `pane(int i)`
    `int` | `paneNum()`
    `void` | `postdraw(IGraphics g)`
    `void` | `predraw(IGraphics g)`
    `void` | `removePane(int i)`
    `void` | `saveDialog()`
    `IServer` | `server()`
    `void` | `setBounds()`
    `void` | `setIG(IG ig)`
    `void` | `setParent(java.awt.Container container)`
    `void` | `setSize(int w, int h)`
    `void` | `setVisible(boolean v)`
    `void` | `skipAutoFocus()`
    `void` | `startDynamicServer()`

    - ### Methods inherited from interface java.awt.event.MouseListener

      `mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

    - ### Methods inherited from interface java.awt.event.MouseMotionListener

      `mouseDragged, mouseMoved`

    - ### Methods inherited from interface java.awt.event.MouseWheelListener

      `mouseWheelMoved`

    - ### Methods inherited from interface java.awt.event.KeyListener

      `keyPressed, keyReleased, keyTyped`

    - ### Methods inherited from interface java.awt.event.FocusListener

      `focusGained, focusLost`

    - ### Methods inherited from interface java.awt.event.ComponentListener

      `componentHidden, componentMoved, componentResized, componentShown`

    - ### Methods inherited from interface java.awt.event.WindowListener

      `windowActivated, windowClosed, windowClosing, windowDeactivated, windowDeiconified, windowIconified, windowOpened`

- - ### Method Detail

    - #### setIG

          void setIG(IG ig)

    - #### getIG

          IG getIG()

    - #### server

          IServer server()

      Specified by:
        `server` in interface `IServerI`

    - #### setParent

          void setParent(java.awt.Container container)

    - #### addPane

          void addPane(IPane p)

    - #### pane

          IPane pane(int i)

    - #### paneNum

          int paneNum()

    - #### removePane

          void removePane(int i)

    - #### clearPane

          void clearPane()

    - #### setVisible

          void setVisible(boolean v)

    - #### focus

          void focus()

      focus on all pane

    - #### setSize

          void setSize(int w,
                       int h)

    - #### startDynamicServer

          void startDynamicServer()

    - #### draw

          void draw(IGraphics g)

    - #### predraw

          void predraw(IGraphics g)

    - #### postdraw

          void postdraw(IGraphics g)

    - #### getPaneAt

          IPane getPaneAt(int x,
                          int y)

    - #### currentPane

          IPane currentPane()

      returns current pane; if null, it returns first pane.

    - #### mousePressed

          void mousePressed(IMouseEvent e)

    - #### mouseReleased

          void mouseReleased(IMouseEvent e)

    - #### mouseClicked

          void mouseClicked(IMouseEvent e)

    - #### mouseMoved

          void mouseMoved(IMouseEvent e)

    - #### mouseDragged

          void mouseDragged(IMouseEvent e)

    - #### mouseWheelMoved

          void mouseWheelMoved(IMouseWheelEvent e)

    - #### keyPressed

          void keyPressed(IKeyEvent e)

    - #### keyReleased

          void keyReleased(IKeyEvent e)

    - #### keyTyped

          void keyTyped(IKeyEvent e)

    - #### getBounds

          IBounds getBounds()

    - #### setBounds

          void setBounds()

    - #### saveDialog

          void saveDialog()

    - #### getX

          float getX()

    - #### getY

          float getY()

    - #### getWidth

          int getWidth()

    - #### getHeight

          int getHeight()

    - #### skipAutoFocus

          void skipAutoFocus()